Subject: Southwestern seeds

From: [email-masked] (cheryl)
Date: Tue, 28 Mar 1995 09:23:13 -1812

I just found this in one of my local newsgroups dealing with arizona.
______________________________________________________________________________
You can get chiltepine seeds as well as advice on planting from
Native Seeds/SEARCH in Tucson (located at the Tucson Botanical
Gardens); phone # is 520-327-9123.

The office is not always staffed, but someone should be there Tues &
Thurs from around 10-3, and probably Saturdays, too.

They have a mail-order catalog with dozens of kinds of seeds from
the greater Sonoran Desert region (including northwest Mexico).
______________________________________________________________________________

for all of you out there looking for native seeds - this source looks like
a real find.

lovandlight

cheryl